*,
*::before,
*::after {
    box-sizing: border-box;
}


/* =========================
   ROOT
========================= */

html {
    font-size: 16px;
    height: 100%;
    -webkit-text-size-adjust: 100%;
    scroll-behavior: smooth;
}


/* =========================
   BODY
========================= */

body {
    margin: 0;

    min-height: 100vh;

    font-family: var(--font-base);
    font-size: var(--text-base);
    line-height: var(--line-height-base);

    background-color: var(--color-bg);
    color: var(--color-text);

    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
}


/* =========================
   TYPOGRAPHY
========================= */

h1,
h2,
h3,
h4,
h5,
h6,
p {
    margin: 0;
}

a {
    color: inherit;
    text-decoration: none;
}


/* =========================
   MEDIA
========================= */

img,
picture,
video,
canvas,
svg {
    display: block;
    max-width: 100%;
}


/* =========================
   FORM ELEMENTS
========================= */

button,
input,
textarea,
select {
    font: inherit;
}

button {
    border: none;
    background: none;
    cursor: pointer;

    -webkit-appearance: none;
    appearance: none;
}

input,
textarea,
select {
    width: 100%;

    border: none;
    outline: none;

    -webkit-appearance: none;
    appearance: none;
}


/* =========================
   LISTS
========================= */

ul,
ol {
    margin: 0;
    padding: 0;
    list-style: none;
}